#include <bits/stdc++.h>
using namespace std;
string tekst, rec;
int s, t, br;
bool posecen[130];
int main(){
    cin >> tekst;
    cin >> rec;
    s=rec.size();
    t=tekst.size();
   
    br=0;
    for(int i=0;i<t;i++){
        if(tekst[i]=='a'){
            br++;
        }
    }
    int res=br-s+1;
    cout << res  << endl;
    for(int i=0;i<t;i++){
        if(tekst[i]=='a' and res>0){
            tekst[i]='*';
            res--;
        }
        cout << tekst[i];
    }
    cout << endl;


    return 0;
}